Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface Shell32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface Shell32

extends com.sun.jna.win32.StdCallLibrary

Shell32.dll Interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static Shell32` | `INSTANCE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` | `SHFileOperation(ShellAPI.SHFILEOPSTRUCT fileop)` This function can be used to copy, move, rename, or delete a file system object.
`WinNT.HRESULT` | `SHGetDesktopFolder(com.sun.jna.ptr.PointerByReference ppshf)` Retrieves the IShellFolder interface for the desktop folder, which is the root of the Shell's namespace.
`WinNT.HRESULT` | `SHGetFolderPath(WinDef.HWND hwndOwner, int nFolder, WinNT.HANDLE hToken, WinDef.DWORD dwFlags, char[] pszPath)` Takes the CSIDL of a folder and returns the path.

Field Detail

### INSTANCE

    static final Shell32 INSTANCE

Method Detail

### SHFileOperation

    int SHFileOperation(ShellAPI.SHFILEOPSTRUCT fileop)

  This function can be used to copy, move, rename, or delete a file system object.

  Parameters:
    `fileop` - Address of an SHFILEOPSTRUCT structure that contains information this function needs to carry out the specified operation.
  Returns:
    Returns zero if successful, or nonzero otherwise.

### SHGetFolderPath

    WinNT.HRESULT SHGetFolderPath(WinDef.HWND hwndOwner,
                                  int nFolder,
                                  WinNT.HANDLE hToken,
                                  WinDef.DWORD dwFlags,
                                  char[] pszPath)

  Takes the CSIDL of a folder and returns the path.

  Parameters:
    `hwndOwner` - Handle to an owner window. This parameter is typically set to NULL. If it is not NULL, and a dial-up connection needs to be made to access the folder, a user interface (UI) prompt will appear in this window.
    `nFolder` - A CSIDL value that identifies the folder whose path is to be retrieved. Only real folders are valid. If a virtual folder is specified, this function will fail. You can force creation of a folder with SHGetFolderPath by combining the folder's CSIDL with CSIDL_FLAG_CREATE.
    `hToken` - An access token that can be used to represent a particular user.
    `dwFlags` - Flags to specify which path is to be returned.
    `pszPath` - Pointer to a null-terminated string of length MAX_PATH which will receive the path. If an error occurs or S_FALSE is returned, this string will be empty.
  Returns:
    Returns standard HRESULT codes.

### SHGetDesktopFolder

    WinNT.HRESULT SHGetDesktopFolder(com.sun.jna.ptr.PointerByReference ppshf)

  Retrieves the IShellFolder interface for the desktop folder, which is the root of the Shell's namespace. The retrieved COM interface pointer can be used via Com4JNA's ComObject.wrapNativeInterface call given a suitable interface definition for IShellFolder

  Parameters:
    `ppshf` - A place to put the IShellFolder interface pointer
  Returns:
    If the function succeeds, it returns S_OK. Otherwise, it returns an HRESULT error code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD